#
# spec file for package python-zope.schema
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.schema
Version:        4.4.2
Release:        4.2
Summary:        Zope interface extension for defining data schemas
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/zope.schema
Source:         http://pypi.python.org/packages/source/z/zope.schema/zope.schema-%{version}.tar.gz
BuildRequires:  python-devel
# Documentation requirements:
BuildRequires:  python-Sphinx
# Test requirements:
BuildRequires:  python-zope.event
BuildRequires:  python-zope.interface >= 3.6.0
BuildRequires:  python-zope.testing
Requires:       python-zope.event
Requires:       python-zope.interface >= 3.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-ordereddict
Requires:       python-ordereddict
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Schemas extend the notion of interfaces to detailed descriptions of
Attributes (but not methods).  Every schema is an interface and
specifies the public fields of an object.  A *field* roughly
corresponds to an attribute of a Python object.  But a Field provides
space for at least a title and a description.  It can also constrain
its value and provide a validation method.  Besides you can optionally
specify characteristics such as its value being read-only or not
required.

%package doc
Summary:        Zope interface extension for defining data schemas
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.schema-%{version}

%build
python setup.py build
# Generate HTML documentation
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE.txt CHANGES.rst README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.4.2:
  * Fix description of min max field: max value is included,
    not excluded.
- additional changes from version 4.4.1:
  * Added support for Python 3.4.
- switch the source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
- pass -q to test to avoid spamming the build log
* Fri Feb 28 2014 os-dev@jacraig.com
- Update to 4.4.0:
  * Add an event on field properties to notify that a field has been updated.
    This event enables definition of subscribers based on an event, a context
    and a field. The event contains also the old value and the new value.
    (also see package ``zope.schemaevent`` that define a field event handler)
- Changes from 4.3.3:
  * PEP 8 cleanup.
  * Don't raise RequiredMissing if a field's defaultFactory returns the field's
    missing_value.
  * Updated ``boostrap.py`` to version 2.2.
  * Add the ability to swallow ValueErrors when rendering a SimpleVocabulary,
    allowing for cases where vocabulary items may be duplicated (e.g., due to
    user input).
  * It was a pain that ``ConstraintNotSatisfied`` did not tell the field name.
* Mon Jul 29 2013 hpj@urpla.net
- generate separate -doc package
* Wed Mar 20 2013 speilicke@suse.com
- Add (Build)Requires python-ordereddict for SLE_11 only
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
